Bug 210491 - Ugly fonts on international desktops
Ugly fonts on international desktops
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: freetype (Show other bugs)
6
All Linux
medium Severity high
: ---
: ---
Assigned To: Behdad Esfahbod
bzcl34nup
: Desktop
: 222851 (view as bug list)
Depends On:
Blocks: FC6Update
  Show dependency treegraph
 
Reported: 2006-10-12 11:14 EDT by Nikos Charonitakis
Modified: 2008-05-06 12:27 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:27:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
see the blue headings... (118.74 KB, image/gif)
2006-10-12 11:14 EDT, Nikos Charonitakis
no flags Details
compare it with fc5 shot (438.99 KB, image/png)
2006-10-12 11:17 EDT, Nikos Charonitakis
no flags Details
compare it with previous fc6devel shot (114.36 KB, image/png)
2006-10-12 11:20 EDT, Nikos Charonitakis
no flags Details
this is comparizon between Greek fonts in FC5 and FC6 (110.47 KB, image/png)
2006-10-14 15:20 EDT, Nikos Charonitakis
no flags Details
Yet another shot, this time with the Bytecode interpreter enabled. (252.41 KB, image/png)
2006-10-29 15:21 EST, Dimitris Glezos
no flags Details
diffent size between latin and greek in the same sentence (7.52 KB, image/png)
2006-11-02 07:26 EST, Nikos Charonitakis
no flags Details
examle of some specific characters, that differs in height (1.80 KB, image/png)
2006-11-12 18:15 EST, Martin Sourada
no flags Details
Hinting vs no hinting (110.87 KB, image/png)
2006-12-05 12:10 EST, Nikos Charonitakis
no flags Details
screenshot of OOo under FC6 using freetype-2.3.2-1.fc7 (6.02 KB, image/png)
2007-03-26 01:32 EDT, Leszek Matok
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 8610 None None None Never

  None (edit)
Description Nikos Charonitakis 2006-10-12 11:14:28 EDT
Description of problem:
Greek fonts are very unpleasant on view with default size settings in fedora
core. They appear in different sizes (for a given size of 10) and they have many
glitches (sorry i can't discribe it with "fonts language")
If i change the size to something bigger than 10 then they getting better but
also they getting bigger :)
This behaviour is not the case with fedora core 5 and dejavu fonts installed
from extras repo. On fedora core 5 everything is looking really good...
I dont know if this a dejavu problem or another's component problem (fontconfig)?
Also i have to mention that there is no problem in rhgb and in gdm. The problem
appears after user's login.

i ve installed all test versions of fc6 and latest devel version and this
behaviour apply to all of them.

i know that i report this to late for Fc6, but i hope we find the problem and
give a solution in an updated package.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Nikos Charonitakis 2006-10-12 11:14:30 EDT
Created attachment 138333 [details]
see the blue headings...
Comment 2 Nikos Charonitakis 2006-10-12 11:17:54 EDT
Created attachment 138334 [details]
compare it with fc5 shot
Comment 3 Nikos Charonitakis 2006-10-12 11:20:04 EDT
Created attachment 138335 [details]
compare it with previous fc6devel shot
Comment 4 Behdad Esfahbod 2006-10-12 17:17:43 EDT
Do you have the dejavu-lgc-fonts package installed?
Please attach two screenshots, one with good, one with bad.  And clearly makr
them as such, with as much explanation as which glyphs are wrong.

Thanks,
Comment 5 Behdad Esfahbod 2006-10-12 17:19:19 EDT
And, did you upgrade from FC5, or installed fc6tests directly?
Comment 6 Nikos Charonitakis 2006-10-12 17:29:24 EDT
i ve installed clean fc6 test systems.
In fedora core 5 i use dejavu-fonts not dejavu-lgc-fonts.
So i ll try to install dejavu-lgc-fonts and in fc5 to see how they compare with
fc6 and i ll post screenshots.
Comment 7 Nikos Charonitakis 2006-10-14 15:20:16 EDT
Created attachment 138517 [details]
this is comparizon between Greek fonts in FC5 and FC6

Both systems use latest Dejavu-lgc-fonts from development repository.
I have underlined some of the differences in quality.
Comment 8 Nikos Charonitakis 2006-10-17 17:03:40 EDT
Well i discovered one strange thing:when i change fonts size to 9 then
everything is good again. So the problem is the default size (10).Bigger (11) is
good, smaller (9) is good too. I dont understand why this happens...
Comment 9 Nikos Charonitakis 2006-10-17 17:43:44 EDT
Tiny fonts used in graphical boot (rhgb) are also fine...
Comment 10 Dimitris Glezos 2006-10-25 20:42:13 EDT
I confirm the bug, which is very ugly in the FC6 browser splash page.

Please check the Freedesktop relevant bug:

  http://freedesktop.org/bugzilla/show_bug.cgi?id=8610

and it's attached screenshots, especially comments #14 and #15 which have shots
of default FC6 installation:

  https://bugs.freedesktop.org/attachment.cgi?id=7519

We would really like some help here because we don't understand what's going
wrong and why.
Comment 11 Leszek Matok 2006-10-26 15:51:56 EDT
I've opened bug 212226 which looks to be the same or at least connected. Try a
workaround that works for me: rpm -Uvh --force on the FC5 freetype packages and
watch as newly opened programs suddenly look better, at least for Polish characters.

Is it legal to propose downloading BCI-enabled versions to Greeks or does it
count as contributory infrigement and stuff? :)
Comment 12 Nikos Charonitakis 2006-10-26 18:54:49 EDT
i dont know if this is BCI problem. You mean that in freetype FC5 package BCI is
enabled and in freetype FC6 is disabled? 
We are looking for an "official" solution that every Greek user has an
acceptable desktop font without the need of doing tricky things (like enabling BCI)

Another observation we made is that if a user select "serif" instead of the
default "Sans serif" then fonts getting much better (menus are ok, bold are ok,
but firefox still has some problems with tiny fonts)
Comment 13 Leszek Matok 2006-10-27 01:32:50 EDT
No, I'm just saying that with BCI enabled, FC5's freetype produces really nice
looking fonts. The binary shipped with FC5 (which has BCI disabled of course) is
still much better than the one in FC6, which you were already observing in
comment #7.

I'm more than looking for a solution for all of us. I'm just proposing a test
case to nail down the bug (hopefully it's the same bug as mine). Try FC5's
freetype in FC6 and thell Fedora maintainers whether it's sufficient to get good
looking screen fonts.

Let me also propose change of the version of Fedora with this bug to FC6 to make
it easier to find for others.
Comment 14 Simos Xenitellis 2006-10-29 07:09:36 EST
(In reply to comment #12)
> i dont know if this is BCI problem. You mean that in freetype FC5 package BCI is
> enabled and in freetype FC6 is disabled? 
> We are looking for an "official" solution that every Greek user has an
> acceptable desktop font without the need of doing tricky things (like enabling
BCI)

I do not think that we can get a BCI-enabled built of freetype distributed on
the stock Fedora Core CDs/DVDs.
What I feel is that we have not eliminated the source of this problem.
 
> Another observation we made is that if a user select "serif" instead of the
> default "Sans serif" then fonts getting much better (menus are ok, bold are ok,
> but firefox still has some problems with tiny fonts)

I have not installed FC6 yet and I am currently downloading FC6.
From the above comment it appears that "serif", "Sans Serif" and probably
"DejaVu Serif" is not the same font. To the best of my understanding of how the
configuration files in FC6 are laid out (/etc/fonts/fonts.conf, etc), it should be

serif = Sans Serif = DejaVu Serif

If you start gucharmap (Applications/Accessories/Character Map), you can select
those fonts and font aliases and can observe if there is difference between
them. There should be no different.

In addition, I would like to add that depending on the type of screen you are
doing the testing (for example, LCD screen of a laptop or CRT monitor), you
would get different results if the DPI value of the display is different. For
example, if you test FC5 on a desktop computer with a CRT monitor and FC6 on a
laptop (with TFT), the results will not be the same; especially if the laptop is
all and has low DPI.

If you have to have FC6 installed on a laptop, you can connect an external CRT
monitor and make sure that the DPI settings of Xorg (or perhaps from the
Preferences in GNOME) is set accordingly.
Comment 15 Dimitris Glezos 2006-10-29 15:21:13 EST
Created attachment 139677 [details]
Yet another shot, this time with the Bytecode interpreter enabled.
Comment 16 Nikos Charonitakis 2006-10-30 09:11:40 EST
(In reply to comment #13)
The binary shipped with FC5 (which has BCI disabled of course) is
> still much better than the one in FC6, which you were already observing in
> 
> I'm more than looking for a solution for all of us. I'm just proposing a test
> case to nail down the bug (hopefully it's the same bug as mine). Try FC5's
> freetype in FC6 and thell Fedora maintainers whether it's sufficient to get good
> looking screen fonts.
> 
I agree, we are looking a universal solution for all affected languages.
Please try this: System->Preferences-Font select "Details" and change hinting
value to "light". I think you can get slightly better results with this change
but not as good as FC5.

Comment 17 Nikos Charonitakis 2006-11-02 07:26:04 EST
Created attachment 140115 [details]
diffent size between latin and greek in the same sentence

Also, i noticed (in some cases) that when a sentence contains both latin and
greek characters they appear in different size. Look the attachment (this is
from a web page http://vrypan.net/weblog/page/2/).
Comment 18 Martin Sourada 2006-11-12 18:15:18 EST
Created attachment 141012 [details]
examle of some specific characters, that differs in height

I have similar problem with central-European characters (ISO-8859-2). See
attachment.
Comment 19 Pekka Savola 2006-11-22 02:28:28 EST
I think I may be having the same problem or at least a subset of it, even though
I use 8859-15.  The default fonts in firefox look ugly, similar to the upper bar
of 2nd attachment of comment #10
(https://bugs.freedesktop.org/attachment.cgi?id=7519).

I upgraded from FC5 to FC6 using yum, and FC5 was fine.

Comment 20 Nikos Charonitakis 2006-12-05 11:55:11 EST
i have done some more testing and i realized that:

When a user disables hinting through System->Preferences->Font (button
"Details"->Hinting:None)then Greek fonts get a good shape (a bit bluring appears
though). Also the effect (i mentioned above) of different font sizes disappeared
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=210491#c17
Comment 21 Nikos Charonitakis 2006-12-05 12:10:26 EST
Created attachment 142869 [details]
Hinting vs no hinting
Comment 22 Alexei Podtelezhnikov 2006-12-05 13:40:53 EST
This is not Greek-specific: 

Cyrillic bug 212170.
Polish bug 212226.

I would mark those as duplicates, but more bugs put more pressure to release 
freetype 2.2.2 when it is available. The fix is there.
Comment 23 Dimitris Glezos 2006-12-05 13:51:15 EST
I changed the summary to generalize it outside of greek.

Alexei, do you have in mind any easy way to test the fix?
Comment 24 Alexei Podtelezhnikov 2006-12-06 13:20:22 EST
Yes. 
1) Check out CVS freetype2 
% cvs -z3 -d:pserver:anonymous@cvs.savannah.nongnu.org:/sources/freetype co 
freetype2

2) Build it
% cd freetype2
% sh autogen.sh
% ./configure
% make

3) Replace /usr/lib/libfreetype.so.6.3.10 with the newly build
% mv /usr/lib/libfreetype.so.6.3.10 SOMEWHERE_SAFE
% mv ./objs/.libs/libfreetype.so.6.3.10 /usr/lib/

4) restart X by logging out or whatever

The whole procedure took me like 5 minutes
Comment 25 Nikos Charonitakis 2007-01-08 16:25:47 EST
Freetype2 is actually the problem. I followed Alexei's procedure and everything
is fine. Very nice international desktop even english fonts getting better.
So, is there any chance to backport the fix in stable freetype2 package.
It will help novice users or users that ignore this issue not to get
dissapointed by the fedora core 6 desktop fonts appearance.
Comment 26 Dimitris Glezos 2007-01-08 19:31:04 EST
I would consider this important enough to produce an update for FC6.
Comment 27 Nikos Charonitakis 2007-01-22 10:14:51 EST
FreeType 2.3.0 has been released (2007-Jan-17)
Comment 28 k3dzngrp8w2xtc9 2007-01-27 16:31:11 EST
*** Bug 222851 has been marked as a duplicate of this bug. ***
Comment 29 k3dzngrp8w2xtc9 2007-01-27 16:52:20 EST
I actually like the FC6's look better -- the letters look sharper not blurry
like in FC5. Never the less: the problem here is the vertical elongation.
Comment 30 Matthias Clasen 2007-02-02 13:54:17 EST
Behdad, do we want to investigating a freetype update for FC6 ?
Comment 31 Dimitris Glezos 2007-02-02 14:31:54 EST
I'd recommend a FC6 update asap; it will greatly enhance our image on
international desktops.
Comment 32 Behdad Esfahbod 2007-02-02 17:09:42 EST
A 2.3.1 update looks pretty harmless.  Is that what you meant, Matthias?
Comment 33 Alexei Podtelezhnikov 2007-02-08 12:24:41 EST
Yes, please officially update FC6 
Comment 34 W.C. Epperson 2007-02-23 14:54:19 EST
Anything further on 2.3.1 for FC6?  If you follow #24 procedure at this point,
you end up with libfreetype.so.6.3.12.  And if you soft-link
/usr/lib/libfreetype.so.6 to THAT, you get a continuously crashing X server on FC6.
Comment 35 Alexei Podtelezhnikov 2007-03-06 11:02:29 EST
After updating to CVS (comment #24) and changing symbolic 
links /usr/lib/libfreetype.so.6 and /usr/lib/libfreetype.so accordingly, you'd 
better reboot (or do it between init 3 and init 5). The bottom line is that 
freetype CVS is still compatible.
Comment 36 Leszek Matok 2007-03-25 10:36:48 EDT
Well,
yum --enablerepo=development install freetype
does work on Fedora 6 and helps (this problem is gone for Polish - "l" is the
same height as "ł" at last), but introduces new problems (which are probably
bigger for English Fedora desktop) - capital letters are shorter than the normal
ones ("I" is shorter than "l" and "i"). Do I have to update anything more to
make it really work, or is freetype simply broken and I really have to stick
with FC5's version forever?
Comment 37 Nikos Charonitakis 2007-03-25 19:22:41 EDT
(In reply to comment #36)
> but introduces new problems (which are probably
> bigger for English Fedora desktop) - capital letters are shorter than the normal
> ones ("I" is shorter than "l" and "i"). Do I have to update anything more to
> make it really work, or is freetype simply broken and I really have to stick
> with FC5's version forever?
can you post a screenshot showing this problem.
Comment 38 Leszek Matok 2007-03-26 01:32:01 EDT
Created attachment 150869 [details]
screenshot of OOo under FC6 using freetype-2.3.2-1.fc7

This is a text "Ill łŁ" in just a few Sans 10 fonts. The problem exists in
many other font styles, depending on size (for example, the Monospace 10 I'm
writing this in has the problem as well).

xdpyinfo shows
  dimensions:	 1152x864 pixels (361x270 millimeters)
  resolution:	 81x81 dots per inch
This is the exact value for this monitor. Can using the real DPI be the
problem? :)
Comment 39 Dimitris Glezos 2007-04-04 09:58:28 EDT
Unless the freetype update is updated on previous desktops, I don't think that
this problem will be solved properly.
Comment 40 Alexei Podtelezhnikov 2007-04-05 18:53:21 EDT
Enough of waiting for official updates!
I have built and uploaded freetype-2.3.3 RPMS for Fedora Core 6.

http://apodtele.googlepages.com/freetype-2.3.3-0.i386.rpm
http://apodtele.googlepages.com/freetype-devel-2.3.3-0.i386.rpm
http://apodtele.googlepages.com/freetype-demos-2.3.3-0.i386.rpm

I will be wasting my web space for a month until May 5, 2007
unless there is an official update.   
Comment 41 Leszek Matok 2007-04-06 01:09:21 EDT
Alexei, your freetype-2.3.3-0 gives me identical results to the 2.3.2-1.fc7 from
rawhide ("l" is taller than "I", "ę" has bigger "hole" than "e" and so on).

I also want to say that enabling BCI fixes the "eę" issue in 2.3.2-1.fc7, but
not the "Ill" issue. Come on, developers, can't it be done right?
Comment 42 Nicolas Mailhot 2007-04-06 02:15:31 EDT
2.3.2-1.fc7 from rawhide is semi-broken (trunkated 0...) . I hop this is fixed
before F7 proper
Comment 43 Behdad Esfahbod 2007-04-06 03:47:01 EDT
Nicolas, try 2.3.3-2.fc7 in rawhide.

If 2.3.3-2.fc7 fixes the issues in this bug, I'll consider updating fc6 after a
while.  For the past few freetype releases, each one has had serious regressions...
Comment 44 Alexei Podtelezhnikov 2007-04-06 08:56:48 EDT
(In reply to comment #41)
> Alexei, your freetype-2.3.3-0 gives me identical results to the 2.3.2-1.fc7 from
> rawhide ("l" is taller than "I", "ę" has bigger "hole" than "e" and so on).

You assumption that "I" should be at least as tall as "l" is wrong. A lot of
fonts have it the other way around. You can see it at large magnification. The
same goes for "1" (one), which can also be either taller or smaller. Freetype
just tries to be as faithful as it can to the original proportion, but rounding
off can unavoidably make the difference one pixel too large. 

As far as accents go, at least, the main glyph proper is now OK. But you are
right that the details are a bit distorted. Do you know how hard computational
shape recognition is? How would you propose to recognize accents? If you have a
clear robust idea, let the world know.
Comment 45 Nicolas Mailhot 2007-04-06 15:55:29 EDT
(In reply to comment #43)
> Nicolas, try 2.3.3-2.fc7 in rawhide.

OK, will do as soon as it hits mirrors
Comment 46 Alexei Podtelezhnikov 2007-04-10 09:55:37 EDT
http://apodtele.googlepages.com/freetype-2.3.4-0.i386.rpm
http://apodtele.googlepages.com/freetype-devel-2.3.4-0.i386.rpm
http://apodtele.googlepages.com/freetype-demos-2.3.4-0.i386.rpm

this will fix a lot of issues but not all of them. I think that accented 
characters are not fixed, but the original issue with the overall size of 
Greek and Cyrillic is fixed. Serif fonts are vastly better. This more than 
warrants an update.

This is bugzilla, not successilla - people don't report improvements that 
often.
Comment 47 Alexei Podtelezhnikov 2007-06-01 11:40:12 EDT
F8 is out, unofficial RPMS are no more... An official update is as always 
never. Fedora International support is poop. 
Comment 48 Dimitris Glezos 2007-06-01 11:53:16 EDT
Behdad, how come we haven't produced an update for fc6? :/
Comment 49 Behdad Esfahbod 2007-06-01 15:49:32 EDT
Because every single freetype release since 2.2 has had its own surprises.  It's
not like updating to 2.3.4 fixes all the problems without introducing new ones,
believe me.
Comment 50 Dimitris Glezos 2007-08-10 12:20:48 EDT
Can we close this bug? AFAIR, F7's packages solved this.
Comment 51 Alexei Podtelezhnikov 2007-10-14 11:50:08 EDT
There are no major complains against F7 and F8-devel - 2.3.5 is indeed much 
better. This was an FC6 bug, which will soon expire... 
Comment 52 Bug Zapper 2008-04-03 23:57:01 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 53 Bug Zapper 2008-05-06 12:27:24 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.